EET Time Now
EET is the abbreviation of Eastern European Time. Time zone offset of EET is UTC+02. Eastern European Time is 2 hours ahead from the UTC universal time. EET current date is 2nd Monday November 2026. Current time in EET (EET).
EET Time
19:51:12
2 November 2026 Monday
EET, or Eastern European Time, is the time zone used in central Europe, eastern Africa and western part of the Middle East. EET is used in such cities as Bucharest, Cairo, Ankara, Tel Aviv, Helsinki, and so on. This time standard is exactly the same as MEST, CEST, or CAT.
What time is it in Eastern European Time now? It is 19:51:12 right now.
Eastern European Time Date and Time Now in Various Formats
| Date Time Format | EET Date Time Now |
|---|---|
| UTC | 2026-11-02T19:51:12Z |
| ISO-8601 | 2026-11-02T19:51:12+0000 |
| RFC 2822 | Mon, 02 Nov 2026 19:51:12 +0000 |
| RFC 850 | Monday, 02-Nov-26 19:51:12 UTC |
| RFC 1036 | Mon, 02 Nov 26 19:51:12 +0000 |
| RFC 1123 | Mon, 02 Nov 2026 19:51:12 +0000 |
| RFC 822 | Mon, 02 Nov 26 19:51:12 +0000 |
| RFC 3339 | 2026-11-02T19:51:12+00:00 |
| ATOM | 2026-11-02T19:51:12+00:00 |
| COOKIE | Monday, 02-Nov-2026 19:51:12 UTC |
| RSS | Mon, 02 Nov 2026 19:51:12 +0000 |
| W3C | 2026-11-02T19:51:12+00:00 |
| Unix Epoch | 1793649072 |
| YYYY-DD-MM HH:MM:SS | 2026-02-11 19:51:12 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-02-11 07:51:12 PM |
| DD-MM-YYYY HH:MM:SS | 02-11-2026 19:51:12 |
| MM-DD-YYYY HH:MM:SS | 11-02-2026 19:51:12 |